#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x6bceec92, "");
SYMBOL_CRC(fc_host_post_event, 0xdee4669e, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x4d657dbd, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xd3f10526, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xde2c14fe, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x20a637c2, "");
SYMBOL_CRC(fc_eh_timed_out, 0xcee8c41d, "");
SYMBOL_CRC(fc_attach_transport, 0xf44c6e94, "");
SYMBOL_CRC(fc_release_transport, 0xe2fca6b6, "");
SYMBOL_CRC(fc_remove_host, 0xdec7d22d, "");
SYMBOL_CRC(fc_remote_port_add, 0xb1888f03, "");
SYMBOL_CRC(fc_remote_port_delete, 0xd5726cfe, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xcd2041ac, "");
SYMBOL_CRC(fc_block_rport, 0xcd22c0be, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x349a8446, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x445eba89, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xd61344c2, "");
SYMBOL_CRC(fc_vport_terminate, 0x64deb48b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x72459f44, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x5c904c5d, "transport_class_register" },
	{ 0x5aae3112, "transport_class_unregister" },
	{ 0xc03dbc8c, "scsi_nl_sock" },
	{ 0x2f9ac262, "__alloc_skb" },
	{ 0xcdcee120, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x7e5edc68, "netlink_broadcast_filtered" },
	{ 0x59a99c05, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1dc968e2, "scsi_init_limits" },
	{  0x597e2, "bsg_setup_queue" },
	{ 0x7bc71967, "blk_queue_rq_timeout" },
	{ 0xfd8a220c, "_dev_err" },
	{ 0x835463f, "scsi_is_host_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe38ab97f, "attribute_container_unregister" },
	{ 0xcbf89e57, "scsi_scan_target" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0xa4fdba40, "attribute_container_register" },
	{ 0x5863efd3, "bsg_remove_queue" },
	{ 0x1641e34, "scsi_target_unblock" },
	{ 0x3733e97b, "scsi_remove_target" },
	{ 0xa98a7117, "sysfs_remove_link" },
	{ 0x672f0eb1, "transport_remove_device" },
	{ 0xc655f4f1, "device_del" },
	{ 0x3bf95a7d, "transport_destroy_device" },
	{ 0xdf600f1f, "scsi_host_put" },
	{ 0xa1484051, "dev_printk" },
	{ 0x8b4fd763, "scsi_flush_work" },
	{ 0xc537f435, "scsi_is_target_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71c28167, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x47c53932, "scsi_host_get" },
	{ 0xb8effc8c, "device_initialize" },
	{ 0xa630c58e, "get_device" },
	{ 0x1513ae23, "dev_set_name" },
	{ 0x5385fb8, "transport_setup_device" },
	{ 0x80a6acea, "device_add" },
	{ 0x242e731, "transport_add_device" },
	{ 0xf335eab3, "transport_configure_device" },
	{ 0x2952eac0, "sysfs_create_link" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x871f6759, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc86c72f0, "bsg_job_get" },
	{ 0xa1374698, "blk_mq_end_request" },
	{ 0x3adc68c, "bsg_job_put" },
	{ 0x6d0c69b2, "bsg_job_done" },
	{ 0xa029fd57, "blk_mq_run_hw_queues" },
	{ 0x7c4f8669, "param_ops_uint" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C10ADDADD8ECC82CB879707");
MODULE_INFO(rhelversion, "9.6");
