#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x1d35f72e, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5cc858a3, "nvme_remove_admin_tag_set" },
	{ 0xae39327f, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x1bc70b97, "vmemmap" },
	{ 0x29c0639b, "nvme_uninit_ctrl" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xeac41c7, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0xb7321d80, "nvmf_subsystem_reset" },
	{ 0x89ff602f, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x35688a8e, "nvme_stop_keep_alive" },
	{ 0x2152de6f, "blk_mq_complete_request_remote" },
	{ 0xe9f0fbc2, "dma_unmap_page_attrs" },
	{ 0xff870403, "nvme_setup_cmd" },
	{ 0x4a16838a, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x3e605283, "nvme_alloc_admin_tag_set" },
	{ 0xc63daffa, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x24badc86, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x5a06d8f, "nvme_delete_ctrl" },
	{ 0xa630c58e, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xacd00eba, "dev_driver_string" },
	{ 0xc9cdc096, "nvmf_get_address" },
	{ 0x9e035f91, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf418522, "nvme_remove_io_tag_set" },
	{ 0x45f88269, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8c205561, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xccf0300b, "nvmf_unregister_transport" },
	{ 0x56759256, "blkcg_get_fc_appid" },
	{ 0x72459f44, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcecf646d, "nvme_change_ctrl_state" },
	{ 0xeba3bc6e, "_dev_info" },
	{ 0xed16baad, "nvme_init_ctrl" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xdfdabd56, "nvme_alloc_io_tag_set" },
	{ 0xb69792ac, "nvme_fail_nonready_command" },
	{ 0xe7062a82, "kobject_uevent_env" },
	{ 0x7477f481, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfd8a220c, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x29d03407, "device_create" },
	{ 0xd521ed2b, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0xe494cc89, "__blk_rq_map_sg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x534afc25, "nvmf_reg_read64" },
	{ 0x464e9a72, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe62a0a0e, "nvmf_connect_admin_queue" },
	{ 0xa1c0108b, "nvme_enable_ctrl" },
	{ 0x68627e05, "nvme_unquiesce_admin_queue" },
	{ 0x508513de, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0x82be53c0, "nvme_unquiesce_io_queues" },
	{ 0xcf7870c8, "blk_mq_update_nr_hw_queues" },
	{ 0xccde9b93, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8fd82298, "nvmf_should_reconnect" },
	{ 0xd8ea8d89, "__dma_sync_single_for_device" },
	{ 0xa4f9bf22, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd93ff1a1, "device_destroy" },
	{ 0x3b0c49dc, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xc84e81bc, "nvmf_register_transport" },
	{ 0x36765d3a, "blk_mq_start_request" },
	{ 0xfa5c46c0, "nvme_quiesce_io_queues" },
	{ 0x2f5f86ad, "blk_mq_tagset_busy_iter" },
	{ 0x551a796f, "nvme_stop_ctrl" },
	{ 0x1757f82f, "dma_unmap_sg_attrs" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0xa9d08954, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xc69f56fb, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x5bfe20c, "nvme_quiesce_admin_queue" },
	{ 0xe986ae60, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9219bb27, "__nvme_check_ready" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x274742d6, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fa59cea, "nvme_add_ctrl" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "3106788361D00E6F3236F09");
MODULE_INFO(rhelversion, "9.6");
