#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x50a1a14b, "");
SYMBOL_CRC(sas_remove_host, 0x6343e91a, "");
SYMBOL_CRC(sas_get_address, 0xe2c45087, "");
SYMBOL_CRC(sas_tlr_supported, 0x7652abdf, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xb117c02e, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x71171a49, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x686e2397, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x36fdf4c2, "");
SYMBOL_CRC(sas_phy_add, 0xba7ddbaa, "");
SYMBOL_CRC(sas_phy_free, 0xcfedefac, "");
SYMBOL_CRC(sas_phy_delete, 0xfc0dc402, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x6d6d7c3a, "");
SYMBOL_CRC(sas_port_alloc, 0x01bbae29, "");
SYMBOL_CRC(sas_port_alloc_num, 0x18db85b4, "");
SYMBOL_CRC(sas_port_add, 0xbd7e8cd4, "");
SYMBOL_CRC(sas_port_free, 0x35829ad1, "");
SYMBOL_CRC(sas_port_delete, 0xcfb04b1f, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd622fff4, "");
SYMBOL_CRC(sas_port_get_phy, 0x5304447d, "");
SYMBOL_CRC(sas_port_add_phy, 0xa8d85fde, "");
SYMBOL_CRC(sas_port_delete_phy, 0xed274bbc, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xf8648d08, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x176bd70f, "");
SYMBOL_CRC(sas_end_device_alloc, 0xb62b0ae3, "");
SYMBOL_CRC(sas_expander_alloc, 0x08e3de30, "");
SYMBOL_CRC(sas_rphy_add, 0x0ddc8597, "");
SYMBOL_CRC(sas_rphy_free, 0x67c81956, "");
SYMBOL_CRC(sas_rphy_delete, 0xaf907aa1, "");
SYMBOL_CRC(sas_rphy_unlink, 0x0d891e6e, "");
SYMBOL_CRC(sas_rphy_remove, 0xc90434ad, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x1759c94d, "");
SYMBOL_CRC(sas_attach_transport, 0xdd57ac42, "");
SYMBOL_CRC(sas_release_transport, 0xac7941e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5287d95b, "device_for_each_child" },
	{ 0xd7c5f2d6, "scsi_remove_host" },
	{ 0x72459f44, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x80a6acea, "device_add" },
	{ 0x242e731, "transport_add_device" },
	{ 0xf335eab3, "transport_configure_device" },
	{ 0xc655f4f1, "device_del" },
	{ 0x3bf95a7d, "transport_destroy_device" },
	{ 0x672f0eb1, "transport_remove_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa630c58e, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2952eac0, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xcbf89e57, "scsi_scan_target" },
	{  0x597e2, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0x5863efd3, "bsg_remove_queue" },
	{ 0x3733e97b, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5c904c5d, "transport_class_register" },
	{ 0x5aae3112, "transport_class_unregister" },
	{ 0x5ad6de54, "kmalloc_caches" },
	{ 0x95ccdcc1, "kmalloc_trace" },
	{ 0xa4fdba40, "attribute_container_register" },
	{ 0xa98a7117, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa1484051, "dev_printk" },
	{ 0xd90e210d, "scsi_get_vpd_page" },
	{ 0x8818114c, "scsi_mode_sense" },
	{ 0xe38ab97f, "attribute_container_unregister" },
	{ 0x835463f, "scsi_is_host_device" },
	{ 0x508513de, "_dev_warn" },
	{ 0x6d0c69b2, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x343737f1, "dma_opt_mapping_size" },
	{ 0xb8effc8c, "device_initialize" },
	{ 0x1513ae23, "dev_set_name" },
	{ 0x5385fb8, "transport_setup_device" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4356C175F1AD26EB2010B6");
MODULE_INFO(rhelversion, "9.6");
